diff --git a/dlls/rsaenh/rsaenh.c b/dlls/rsaenh/rsaenh.c
index cd474c6..bae6018 100644
--- a/dlls/rsaenh/rsaenh.c
+++ b/dlls/rsaenh/rsaenh.c
@@ -1889,6 +1889,13 @@ BOOL WINAPI RSAENH_CPEncrypt(HCRYPTPROV 
         }
 
         dwEncryptedLen = (*pdwDataLen/pCryptKey->dwBlockLen+(Final?1:0))*pCryptKey->dwBlockLen;
+	
+	if (pbData == NULL) {
+	    *pdwDataLen = dwEncryptedLen;
+	    TRACE("pbData is NULL so setting *pdwDataLen to %ld\n",*pdwDataLen);
+	    return TRUE;
+	}
+	
         for (i=*pdwDataLen; i<dwEncryptedLen && i<dwBufLen; i++) pbData[i] = dwEncryptedLen - *pdwDataLen;
         *pdwDataLen = dwEncryptedLen; 
 
